package dev.shadowsoffire.apotheosis.mixin;

import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;
import net.minecraft.world.item.ItemStack;
import org.spongepowered.asm.mixin.Overwrite;
import dev.shadowsoffire.apotheosis.Apotheosis;
import net.minecraft.world.item.Item;
import org.spongepowered.asm.mixin.Mixin;
import dev.shadowsoffire.apotheosis.ench.table.IEnchantableItem;

@Mixin({ Item.class })
public class ItemMixin implements IEnchantableItem
{
    @Overwrite
    public int m_6473_() {
        return Apotheosis.enableEnch ? 1 : 0;
    }
    
    @Redirect(method = { "isEnchantable(Lnet/minecraft/world/item/ItemStack;)Z" }, at = @At(value = "INVOKE", target = "Lnet/minecraft/world/item/Item;isDamageable(Lnet/minecraft/world/item/ItemStack;)Z", remap = false))
    private boolean apoth_ignoreDamageForEnchantable(final Item ths, final ItemStack stack) {
        return true;
    }
}
